Subject: bug#62234: Toolbar does not work properly (with Emacs 29 or 30)

From: Po Lu <[email-masked]>
Date: Sat, 18 Mar 2023 08:29:36 +0800

Daniel Martín <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> From: Konrad Podczeck <[email-masked]>
>>> Date: Fri, 17 Mar 2023 11:38:48 +0100
>>> 
>>> The platform is the NS port.
>>
>> OK, so maybe this is NS-specific.  Can someone who has access to the
>> NS port please try reproducing this?
>>
>
> I can certainly reproduce an issue with the toolbar in the NS port.  I
> think it's the same issue that the OP is describing.  Here's some steps
> to reproduce it:
>
> emacs -Q
>
> The Save and the Cut(Kill) icons are enabled.
>
> Resize the Emacs frame a little bit.
>
> The Save and the Cut(Kill) icons are now disabled, as expected, because
> the *scratch* buffer is not backed by a file, and there's no active
> region.

If it helps, I don't see this at all on GNUstep.  Both buttons are
initially disabled.